From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Thu, 7 Oct 2021 14:15:29 +0200
Subject: Use GNUInstallDirs for paths

---
 orocos_kdl/CMakeLists.txt             | 10 ++++++----
 orocos_kdl/orocos_kdl-config.cmake.in | 10 +---------
 orocos_kdl/orocos_kdl.pc.in           |  8 ++------
 orocos_kdl/src/CMakeLists.txt         |  6 +++---
 4 files changed, 12 insertions(+), 22 deletions(-)

diff --git a/orocos_kdl/CMakeLists.txt b/orocos_kdl/CMakeLists.txt
index 9001812..6668268 100644
--- a/orocos_kdl/CMakeLists.txt
+++ b/orocos_kdl/CMakeLists.txt
@@ -57,6 +57,8 @@ find_package(Eigen3 QUIET)
 include_directories(${EIGEN3_INCLUDE_DIR})
 SET(KDL_CFLAGS "${KDL_CFLAGS} -I${EIGEN3_INCLUDE_DIR}")
 
+include(GNUInstallDirs)
+
 # Check the platform STL containers capabilities
 include(cmake/CheckSTLContainers.cmake)
 CHECK_STL_CONTAINERS()
@@ -119,12 +121,12 @@ CONFIGURE_FILE(orocos_kdl-config.cmake.in
 CONFIGURE_FILE(orocos_kdl-config-version.cmake.in
   ${PROJECT_BINARY_DIR}/orocos_kdl-config-version.cmake @ONLY)
 
-INSTALL(FILES ${PROJECT_BINARY_DIR}/orocos_kdl-config.cmake DESTINATION share/orocos_kdl/cmake)
-INSTALL(FILES ${PROJECT_BINARY_DIR}/orocos_kdl-config-version.cmake DESTINATION share/orocos_kdl/cmake)
+INSTALL(FILES ${PROJECT_BINARY_DIR}/orocos_kdl-config.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/orocos_kdl")
+INSTALL(FILES ${PROJECT_BINARY_DIR}/orocos_kdl-config-version.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/orocos_kdl")
 
 # Generate pkg-config package configuration
 CONFIGURE_FILE(orocos_kdl.pc.in ${CMAKE_CURRENT_BINARY_DIR}/orocos-kdl.pc @ONLY)
 CONFIGURE_FILE(orocos_kdl.pc.in ${CMAKE_CURRENT_BINARY_DIR}/orocos_kdl.pc @ONLY)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/orocos-kdl.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/orocos_kdl.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/orocos-kdl.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/orocos_kdl.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
diff --git a/orocos_kdl/orocos_kdl-config.cmake.in b/orocos_kdl/orocos_kdl-config.cmake.in
index a0b5cf4..f367b76 100644
--- a/orocos_kdl/orocos_kdl-config.cmake.in
+++ b/orocos_kdl/orocos_kdl-config.cmake.in
@@ -4,9 +4,6 @@
 #  orocos_kdl_LIBRARIES    - libraries to link against for Orocos KDL
 #  orocos_kdl_PKGCONFIG_DIR - directory containing the .pc pkgconfig files
 
-# Compute paths
-get_filename_component(orocos_kdl_PREFIX "${CMAKE_CURRENT_LIST_DIR}/../../.." ABSOLUTE)
-
 # Find dependencies
 find_package(Eigen3 QUIET)
 
@@ -15,16 +12,11 @@ if(KDL_USE_NEW_TREE_INTERFACE)
   find_package(Boost REQUIRED)
 endif()
 
-if(NOT TARGET orocos-kdl)
-  include("${CMAKE_CURRENT_LIST_DIR}/OrocosKDLTargets.cmake")
-endif()
-
 set(orocos_kdl_INCLUDE_DIRS
-  ${orocos_kdl_PREFIX}/include
   ${Boost_INCLUDE_DIRS}
   ${EIGEN3_INCLUDE_DIR}
 )
 set(orocos_kdl_LIBRARIES orocos-kdl)
 
 # where the .pc pkgconfig files are installed
-set(orocos_kdl_PKGCONFIG_DIR "${orocos_kdl_PREFIX}/lib/pkgconfig")
+set(orocos_kdl_PKGCONFIG_DIR "@CMAKE_INSTALL_FULL_LIBDIR@/pkgconfig")
diff --git a/orocos_kdl/orocos_kdl.pc.in b/orocos_kdl/orocos_kdl.pc.in
index 8a477e8..69477ec 100644
--- a/orocos_kdl/orocos_kdl.pc.in
+++ b/orocos_kdl/orocos_kdl.pc.in
@@ -1,10 +1,6 @@
-prefix=${pcfiledir}/../..
-libdir=${prefix}/lib@LIB_SUFFIX@
-includedir=${prefix}/include
-
 Name: orocos-kdl
 Description: The Orocos Kinematics and Dynamics Library 
 Requires: 
 Version: @KDL_VERSION@
-Libs: -L${libdir} -lorocos-kdl
-Cflags: -I${includedir} @KDL_CFLAGS@
+Libs: -lorocos-kdl
+Cflags: @KDL_CFLAGS@
diff --git a/orocos_kdl/src/CMakeLists.txt b/orocos_kdl/src/CMakeLists.txt
index ca63079..9ec7562 100644
--- a/orocos_kdl/src/CMakeLists.txt
+++ b/orocos_kdl/src/CMakeLists.txt
@@ -74,7 +74,7 @@ IF(CMAKE_VERSION VERSION_LESS 2.8.12)
 ELSE()
     IF(NOT OROCOSKDL_ENABLE_RPATH)
         SET_TARGET_PROPERTIES( orocos-kdl PROPERTIES
-          INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+          INSTALL_NAME_DIR "${CMAKE_INSTALL_LIBDIR}")
     ENDIF()
 ENDIF()
 #####end RPATH
@@ -85,8 +85,8 @@ TARGET_LINK_LIBRARIES(orocos-kdl ${Boost_LIBRARIES})
 
 INSTALL(TARGETS orocos-kdl
   EXPORT OrocosKDLTargets
-  ARCHIVE DESTINATION lib${LIB_SUFFIX}
-  LIBRARY DESTINATION lib${LIB_SUFFIX}
+  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
   RUNTIME DESTINATION bin
   PUBLIC_HEADER DESTINATION include/kdl
 )
